#include <main.h>
#define DHT22_IO PIN_B3
#include "dht22.c"

#use spi(SPI1, BITS=8)
#define FLASH_SELECT_PIN  PIN_C6
#include "24AA1025.c"



#define LCD_ENABLE_PIN PIN_B0
#define LCD_RS_PIN PIN_B2
#define LCD_RW_PIN PIN_B1
#define LCD_Data4 PIN_A0
#define LCD_Data5 PIN_A1
#define LCD_Data6 PIN_A2
#define LCD_Data7 PIN_A3 
#include <lcd.c>

signed long Umidite,Temperature;
rtc_time_t wizardTempTime;
unsigned temp;

#int_RTC
void  RTC_isr(void) 
   {
     temp--;
   }

void main()
{

   setup_rtc(RTC_ENABLE , 0);
   rtc_read(&wizardTempTime);        //reads clock value from RTCC
/*   wizardTempTime.tm_year = 15;
   wizardTempTime.tm_mon = 3;
   wizardTempTime.tm_mday = 9;
   wizardTempTime.tm_wday = 5;
   wizardTempTime.tm_hour = 10;
   wizardTempTime.tm_min = 06;
   wizardTempTime.tm_sec = 38;*/
   rtc_write(&wizardTempTime);

   setup_timer_3(T3_DISABLED | T3_DIV_BY_1);
   setup_timer_4(T4_DISABLED,0,1);
   setup_comparator(NC_NC_NC_NC);// This device COMP currently not supported by the PICWizard
   setup_rtc_alarm(RTC_ALARM_ENABLE | RTC_CHIME_ENABLE, RTC_ALARM_SECOND, 0);
   setup_oscillator(OSC_8MHZ|OSC_INTRC|OSC_31250|OSC_PLL_ON);


   init_ext_eeprom();
 
   lcd_init();
   temp = 2;
   printf(lcd_putc,"Bonjour"); 
   enable_interrupts(INT_RTC);
   enable_interrupts(GLOBAL);


  while(TRUE)
   {
      rtc_read(&wizardTempTime);        //reads clock value from RTCC
      lcd_gotoxy(1,2);      
      printf(lcd_putc,"%02u:%02u:%02u",wizardTempTime.tm_hour,wizardTempTime.tm_min,wizardTempTime.tm_sec);  
      write_ext_eeprom(0x0EFA0,0x0F);
      delay_ms(50);
      printf(lcd_putc," %X", read_ext_eeprom(0x0EFA0));     
   if (temp==0)
    {
      lcd_gotoxy(1,1); 
      temp = 61;
      DHT22_Read( &Umidite, &Temperature);
      printf(lcd_putc,"%f%%",Umidite * 0.1); 
      printf(lcd_putc," %fC", Temperature*0.1);
    } else sleep(SLEEP_IDLE);
   }
}
